{"openapi":"3.0.4","info":{"title":"List contents of root folder","version":"0.0.1"},"servers":[{"url":"https://fbn-prd.lusid.com/drive"}],"paths":{"/api/folders":{"get":{"tags":["Folders"],"summary":"List contents of root folder","operationId":"GetRootFolder","parameters":[{"name":"page","in":"query","description":"The pagination token to use to continue listing contents from a previous call to list contents.\n            This value is returned from the previous call. If a pagination token is provided the sortBy and filter fields\n            must not have changed since the original request. Also, if set, a start value cannot be provided.","schema":{"maxLength":500,"minLength":1,"pattern":"^[a-zA-Z0-9\\+/]*={0,3}$","type":"string"}},{"name":"sortBy","in":"query","description":"Order the results by these fields. Use use the '-' sign to denote descending order.","schema":{"type":"array","items":{"type":"string"}},"x-nullable":true},{"name":"start","in":"query","description":"When paginating, skip this number of results.","schema":{"type":"integer","format":"int32"},"x-nullable":true},{"name":"limit","in":"query","description":"When paginating, limit the number of returned results to this many.","schema":{"type":"integer","format":"int32"},"x-nullable":true},{"name":"filter","in":"query","description":"Expression to filter the result set.","schema":{"maxLength":16384,"minLength":0,"pattern":"^[\\s\\S]*$","type":"string","default":"true"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"/docs/api/drive/schemas.json#/components/schemas/PagedResourceListOfStorageObject"},"example":{"values":[{"id":"fb7225b63b864752aa03ba37872fe8e8s31w","path":"/documents/admin/legals","name":"mylegaldocument.docx","createdBy":"00u3dipdntsyNqFf51t7","createdOn":"2020-01-02T00:00:00.0000000+00:00","updatedBy":"00u6po8cnkZoLoS5j1t7","updatedOn":"2020-03-02T00:00:00.0000000+00:00","type":"File","size":123456,"status":"Available","statusDetail":""},{"id":"fb7225b63b864752aa03ba37872fe8e8s31x","path":"/documents/admin/legals","name":"mylegaldocument2.docx","createdBy":"00u3dipdntsyNqFf51t7","createdOn":"2020-01-02T00:00:00.0000000+00:00","updatedBy":"00u6po8cnkZoLoS5j1t7","updatedOn":"2020-03-02T00:00:00.0000000+00:00","type":"File","size":123456,"status":"Available","statusDetail":""}],"href":"http://pages.com","nextPage":"Next Page","previousPage":"Previous Page","links":[{"relation":"NextPage","href":"http://pages.com/page4","method":"GET"},{"relation":"PreviousPage","href":"http://pages.com/page2","method":"GET"}]}},"text/plain":{"schema":{"$ref":"/docs/api/drive/schemas.json#/components/schemas/PagedResourceListOfStorageObject"},"example":{"values":[{"id":"fb7225b63b864752aa03ba37872fe8e8s31w","path":"/documents/admin/legals","name":"mylegaldocument.docx","createdBy":"00u3dipdntsyNqFf51t7","createdOn":"2020-01-02T00:00:00.0000000+00:00","updatedBy":"00u6po8cnkZoLoS5j1t7","updatedOn":"2020-03-02T00:00:00.0000000+00:00","type":"File","size":123456,"status":"Available","statusDetail":""},{"id":"fb7225b63b864752aa03ba37872fe8e8s31x","path":"/documents/admin/legals","name":"mylegaldocument2.docx","createdBy":"00u3dipdntsyNqFf51t7","createdOn":"2020-01-02T00:00:00.0000000+00:00","updatedBy":"00u6po8cnkZoLoS5j1t7","updatedOn":"2020-03-02T00:00:00.0000000+00:00","type":"File","size":123456,"status":"Available","statusDetail":""}],"href":"http://pages.com","nextPage":"Next Page","previousPage":"Previous Page","links":[{"relation":"NextPage","href":"http://pages.com/page4","method":"GET"},{"relation":"PreviousPage","href":"http://pages.com/page2","method":"GET"}]}},"text/json":{"schema":{"$ref":"/docs/api/drive/schemas.json#/components/schemas/PagedResourceListOfStorageObject"},"example":{"values":[{"id":"fb7225b63b864752aa03ba37872fe8e8s31w","path":"/documents/admin/legals","name":"mylegaldocument.docx","createdBy":"00u3dipdntsyNqFf51t7","createdOn":"2020-01-02T00:00:00.0000000+00:00","updatedBy":"00u6po8cnkZoLoS5j1t7","updatedOn":"2020-03-02T00:00:00.0000000+00:00","type":"File","size":123456,"status":"Available","statusDetail":""},{"id":"fb7225b63b864752aa03ba37872fe8e8s31x","path":"/documents/admin/legals","name":"mylegaldocument2.docx","createdBy":"00u3dipdntsyNqFf51t7","createdOn":"2020-01-02T00:00:00.0000000+00:00","updatedBy":"00u6po8cnkZoLoS5j1t7","updatedOn":"2020-03-02T00:00:00.0000000+00:00","type":"File","size":123456,"status":"Available","statusDetail":""}],"href":"http://pages.com","nextPage":"Next Page","previousPage":"Previous Page","links":[{"relation":"NextPage","href":"http://pages.com/page4","method":"GET"},{"relation":"PreviousPage","href":"http://pages.com/page2","method":"GET"}]}}}},"400":{"description":"The details of the input related failure","content":{"application/json":{"schema":{"$ref":"/docs/api/drive/schemas.json#/components/schemas/LusidValidationProblemDetails"}},"text/plain":{"schema":{"$ref":"/docs/api/drive/schemas.json#/components/schemas/LusidValidationProblemDetails"}},"text/json":{"schema":{"$ref":"/docs/api/drive/schemas.json#/components/schemas/LusidValidationProblemDetails"}}}},"default":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"/docs/api/drive/schemas.json#/components/schemas/LusidProblemDetails"}}}}},"security":[{"BearerAuth":[]}],"x-fbn-apistatus":"Stable"}}},"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}}}}